%define __libtoolize    /bin/true

Name:           gelemental
Summary:        Periodic Table Viewer
Version:        1.2.0
Release:        %mkrel 3
License:        GPL, MIT
URL:            http://www.kdau.com/projects/gelemental
Group:          Sciences/Chemistry
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}.desktop
# patches imported from debian
Patch0:		656372_element_renames.patch
Patch1:		665529_glib_headers.patch
Patch2:		gelemental-1.2.0-gcc43.patch
Patch3:		fix_zinc_german_translation.patch
Patch4:		fix_gtkmm_2.18.patch
Patch5:		add_new_wave_theme.patch
Patch6:		czech_translation_559028.patch
Patch7:		ftbfs_doxygen_590382.patch
Patch8:		604612_fix_menu_category.patch
Patch9:		604618_scrollable_properties_dialog.patch
Patch10:	lp673285_link_in_about.patch
Patch11:	579183_adjust_size_middle_button.patch
Patch12:	ftbfs_gcc6_812040.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{_lib}png-devel
BuildRequires:  %{_lib}glibmm2.4-devel
BuildRequires:  %{_lib}gtkmm2.4-devel 
Requires:       %{_lib}glibmm2.4_1 
Requires:       %{_lib}gtkmm2.4_1
BuildRequires:  desktop-file-utils
BuildRequires:  gettext-devel
BuildRequires:  gcc-c++
BuildRequires:  perl-XML-Parser
BuildRequires:  pkgconfig

%description
gElemental is a GTK+ periodic table viewer with detailed information on 
the chemical elements. It uses the GTK+ toolkit and is available for Linux 
and other GTK+/GNOME platforms.

%package devel
Summary:        Development files for gElemetal
Requires:       %name = %version
BuildRequires:  %{_lib}glibmm2.4-devel
#Requires:       pango-devel
Group:          Development/Libraries

%description devel
Files needed for doing gElemental development.

%prep
%setup -q
%apply_patches

#sed -i 's|glib/gmem\.h|glib.h|' libelemental/misc/extras.cc
#sed -i 's|glib/gmessages\.h|glib.h|' libelemental/misc/widgets.cc
#sed -i 's|glib/g.*\.h|glib.h|' src/main.cc
#sed -i '250s|false|NULL|' src/dialogs.cc

%build
export CXXFLAGS="-std=c++11 -fPIC"
%configure2_5x --disable-static

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -D -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_datadir}/applications/gelemental.desktop
rm $RPM_BUILD_ROOT%{_libdir}/libelemental.la
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING.DATA NEWS README TODO TRANSLATORS
%doc %{_mandir}/man1/gelemental.1* 
%{_bindir}/gelemental
%{_libdir}/libelemental.so*
%exclude %{_libdir}/libelemental.so
%{_datadir}/applications/gelemental.desktop
%{_datadir}/icons/hicolor/*

%files devel
%defattr (-, root, root)
%{_includedir}/libelemental
%{_libdir}/libelemental.so
%{_libdir}/pkgconfig/libelemental.pc


%changelog
* Sun Oct 13 2019 tex - 1.2.0-3pclos2019
- rebuild against updates

* Mon Dec 11 2017 Zen Subz <techars21 at gmail dot com> - 1.2.0-2pclos2017
- Rebuild with imported patches from Debian

* Sat Apr 04 2015 pinoc <vogtpet at gmail.com> 1.2.0-1pclos2015
- imported package
